UbixOS V2 2.0

Data Fields
super_operations Struct Reference

`#include <vfs.h>`

Collaboration diagram for super_operations:

## Data Fields
int(* | notify_change )(int flags, struct inode *)
void(* | put_inode )(struct inode *)
void(* | put_super )(struct super_block *)
void(* | read_inode )(struct inode *)
int(* | remount_fs )(struct super_block *, int *, char *)
void(* | statfs )(struct super_block *, struct statfs *)
void(* | write_inode )(struct inode *)
void(* | write_super )(struct super_block *)

## Detailed Description

Definition at line 96 of file vfs.h.

## Field Documentation

## ◆ notify_change

int(* super_operations::notify_change) (int flags, struct inode *)

Definition at line 98 of file vfs.h.

## ◆ put_inode

void(* super_operations::put_inode) (struct inode *)

Definition at line 100 of file vfs.h.

## ◆ put_super

void(* super_operations::put_super) (struct super_block *)

Definition at line 101 of file vfs.h.

## ◆ read_inode

void(* super_operations::read_inode) (struct inode *)

Definition at line 97 of file vfs.h.

## ◆ remount_fs

int(* super_operations::remount_fs) (struct super_block *, int *, char *)

Definition at line 104 of file vfs.h.

## ◆ statfs

void(* super_operations::statfs) (struct super_block *, struct statfs *)

Definition at line 103 of file vfs.h.

## ◆ write_inode

void(* super_operations::write_inode) (struct inode *)

Definition at line 99 of file vfs.h.

## ◆ write_super

void(* super_operations::write_super) (struct super_block *)

Definition at line 102 of file vfs.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/vfs.h